> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Customer Data

> Deletes customer data including resources like spaces, properties, rooms, users, etc.
This will delete the partner resources and any related Seam resources (user identities, access grants, spaces).



## OpenAPI

````yaml /openapi.json post /customers/delete_data
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /customers/delete_data:
    post:
      tags: []
      summary: Delete Customer Data
      description: >-
        Deletes customer data including resources like spaces, properties,
        rooms, users, etc.

        This will delete the partner resources and any related Seam resources
        (user identities, access grants, spaces).
      operationId: customersDeleteDataPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                access_grant_keys:
                  description: List of access grant keys to delete.
                  items:
                    type: string
                  type: array
                booking_keys:
                  description: List of booking keys to delete.
                  items:
                    type: string
                  type: array
                building_keys:
                  description: List of building keys to delete.
                  items:
                    type: string
                  type: array
                common_area_keys:
                  description: List of common area keys to delete.
                  items:
                    type: string
                  type: array
                customer_keys:
                  description: List of customer keys to delete all data for.
                  items:
                    type: string
                  type: array
                facility_keys:
                  description: List of facility keys to delete.
                  items:
                    type: string
                  type: array
                guest_keys:
                  description: List of guest keys to delete.
                  items:
                    type: string
                  type: array
                listing_keys:
                  description: List of listing keys to delete.
                  items:
                    type: string
                  type: array
                property_keys:
                  description: List of property keys to delete.
                  items:
                    type: string
                  type: array
                property_listing_keys:
                  description: List of property listing keys to delete.
                  items:
                    type: string
                  type: array
                reservation_keys:
                  description: List of reservation keys to delete.
                  items:
                    type: string
                  type: array
                resident_keys:
                  description: List of resident keys to delete.
                  items:
                    type: string
                  type: array
                room_keys:
                  description: List of room keys to delete.
                  items:
                    type: string
                  type: array
                space_keys:
                  description: List of space keys to delete.
                  items:
                    type: string
                  type: array
                staff_member_keys:
                  description: List of staff member keys to delete.
                  items:
                    type: string
                  type: array
                tenant_keys:
                  description: List of tenant keys to delete.
                  items:
                    type: string
                  type: array
                unit_keys:
                  description: List of unit keys to delete.
                  items:
                    type: string
                  type: array
                user_identity_keys:
                  description: List of user identity keys to delete.
                  items:
                    type: string
                  type: array
                user_keys:
                  description: List of user keys to delete.
                  items:
                    type: string
                  type: array
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````